=== debian/changelog ===
nipype (1.9.2-4) unstable; urgency=medium

  * Team Upload
  * Use the new python3-acres instead of a vendored copy
  * Upload to unstable

 -- Alexandre Detiste <tchet@debian.org>  Sat, 26 Jul 2025 14:55:09 +0200

nipype (1.9.2-3) experimental; urgency=medium

  * Team Upload

  [ Dmitry Shachnev ]
  * Add a patch to make apidoc extension work with Sphinx 8.2.1.

 -- Alexandre Detiste <tchet@debian.org>  Sun, 18 May 2025 18:39:28 +0200

nipype (1.9.2-2) unstable; urgency=medium

  * Team Upload
  * Reformat with debputy
  * Trim autopkgtest dependencies, avoid @builddeps@

 -- Alexandre Detiste <tchet@debian.org>  Fri, 21 Feb 2025 21:41:05 +0100

nipype (1.9.2-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 1.9.2 (Closes: #1095029)
  * Refresh patch

 -- Alexandre Detiste <tchet@debian.org>  Sat, 08 Feb 2025 22:11:53 +0100
