=== debian/control ===
Source: nipype
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <michael.hanke@gmail.com>,
           Étienne Mollier <emollier@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-setuptools,
               python3-acres,
               python3-all,
               python3-sphinx,
               python3-sphinxcontrib.apidoc,
               python3-dateutil,
               python3-numpydoc,
               python3-packaging,
               python3-pandas <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-puremagic <!nocheck>,
               python3-pydot,
               python3-pydotplus,
               python3-click,
               python3-etelemetry,
               python3-filelock,
               python3-looseversion,
               python3-matplotlib,
               python3-nbsphinx,
               python3-nibabel,
               python3-nitime,
               python3-nipy,
               python3-simplejson,
               python3-scipy,
               python3-sympy,
               python3-traits,
               python3-networkx,
               python3-psutil,
               python3-prov,
               graphviz,
               ipython3,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/med-team/nipype
Vcs-Git: https://salsa.debian.org/med-team/nipype.git
Homepage: https://nipype.readthedocs.io/en/latest/
Rules-Requires-Root: no

Package: python3-nipype
Architecture: all
Section: python
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-acres,
         python3-click,
         python3-dateutil,
         python3-dipy,
         python3-looseversion,
         python3-packaging,
         python3-scipy,
         python3-simplejson,
         python3-traits,
         python3-nibabel,
         python3-networkx,
         python3-etelemetry,
         python3-prov,
         python3-psutil
Recommends: ipython3,
            python3-pytest,
            graphviz,
            python3-xvfbwrapper,
            mayavi2,
            python3-pydotplus,
            python3-pydot,
            python3-cfflib
Suggests: afni,
          python3-nipy,
          slicer,
          matlab-spm8,
          python3-pyxnat,
          mne-python,
          elastix,
          ants,
          python3-pytest-xdist,
          python3-bids
Provides: ${python3:Provides}
Description: Neuroimaging data analysis pipelines in Python3
 Nipype interfaces Python to other neuroimaging packages and creates
 an API for specifying a full analysis pipeline in Python.  Currently,
 it has interfaces for SPM, FSL, AFNI, Freesurfer, but could be
 extended for other packages (such as lipsia).

Package: python-nipype-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         libjs-jquery,
         libjs-underscore
Suggests: python3-nipype
Description: Neuroimaging data analysis pipelines in Python3 -- documentation
 Nipype interfaces Python to other neuroimaging packages and creates
 an API for specifying a full analysis pipeline in Python.  Currently,
 it has interfaces for SPM, FSL, AFNI, Freesurfer, but could be
 extended for other packages (such as lipsia).
 .
 This package contains Nipype examples and documentation in various formats.
