=== debian/watch ===
version=4

opts="filenamemangle=s/.*\/(.*)/nipype-$1/,uversionmangle=s/rc/~rc/g" \
 https://github.com/nipy/nipype/tags .*/(\d[\d\.a-z]+)\.tar\.gz
