## nipype 1.10.0

=== debian/changelog ===
nipype (1.10.0-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * replace old py.test-3 symlink with canonical program

  [ Étienne Mollier ]
  * New upstream version 1.10.0
  * d/copyright: document n/u/gpu_count.py.
  * sphinx_8.2.1.patch: delete: applied upstream.
  * d/control: remove dependency on python-etelemetry.
    The module is mostly unusable due to #1108781: rig.mit.edu stopped
    serving data.  Nipype looks to operate just fine without etelemetry.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/control: declare compliance to standards version 4.7.2.
  * d/watch: convert to v5 Github template.
  * d/control: drop dependency on python3-cfflib. (Closes: #1116270)
  * stabilize-makefiles.patch: new.
    This patch stabilises makefile targets when they are executed in an
    unexpected order. (Closes: #1105501)

 -- Étienne Mollier <emollier@debian.org>  Sat, 20 Dec 2025 11:58:02 +0100
