=== debian/control ===
--- 
+++ 
@@ -23,7 +23,6 @@
                python3-pydot,
                python3-pydotplus,
                python3-click,
-               python3-etelemetry,
                python3-filelock,
                python3-looseversion,
                python3-matplotlib,
@@ -40,11 +39,10 @@
                python3-prov,
                graphviz,
                ipython3,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/nipype
 Vcs-Git: https://salsa.debian.org/med-team/nipype.git
 Homepage: https://nipype.readthedocs.io/en/latest/
-Rules-Requires-Root: no
 
 Package: python3-nipype
 Architecture: all
@@ -63,7 +61,6 @@
          python3-traits,
          python3-nibabel,
          python3-networkx,
-         python3-etelemetry,
          python3-prov,
          python3-psutil
 Recommends: ipython3,
@@ -72,8 +69,7 @@
             python3-xvfbwrapper,
             mayavi2,
             python3-pydotplus,
-            python3-pydot,
-            python3-cfflib
+            python3-pydot
 Suggests: afni,
           python3-nipy,
           slicer,
