=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	export PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3); \
 	cd build && \
-         MPLCONFIGDIR=$(CURDIR)/build LC_ALL=C.UTF-8 py.test-3 -v --doctest-modules -k "not nipype.interfaces.io.BIDSDataGrabber" ../nipype
+         MPLCONFIGDIR=$(CURDIR)/build LC_ALL=C.UTF-8 pytest -v --doctest-modules -k "not nipype.interfaces.io.BIDSDataGrabber" ../nipype
     # test_mesh_ops needs X for bloody tvtk.api, and then fails anyways with current mayavi2/tvtk:
     # https://github.com/nipy/nipype/issues/1218, so skipping it for now
 endif
