=== debian/watch ===
Version: 5

Template: Github
Owner: nipy
Project: nipype
